# bytecompile with Python 2
%global __python %{__python2}

Name:           variety
Version:        0.6.7
Release:        2%{?dist}
Summary:        Wallpaper changer that automatically downloads wallpapers
License:        GPLv3
Url:            https://launchpad.net/variety
Source0:        https://github.com/varietywalls/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-distutils-extra
BuildRequires:  python-appindicator
BuildRequires:  python-beautifulsoup4
BuildRequires:  python2-configobj
BuildRequires:  python2-lxml
BuildRequires:  python2-gexiv2
BuildRequires:  python2-pycurl
BuildRequires:  python2-requests
BuildRequires:  python2-pillow-devel
BuildRequires:  python-imaging-devel
BuildRequires:  pyexiv2
BuildRequires:  intltool
BuildRequires:  yelp-devel
BuildRequires:  python-dbus
BuildRequires:  python2-cairo-devel
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
Requires:       python-dbus
Requires:       hicolor-icon-theme
Requires:       ImageMagick
Requires:       libappindicator-gtk3
Requires:       python2-lxml
Requires:       python2-pillow
Requires:       python2-cairo
Requires:       python-appindicator
Requires:       python2-beautifulsoup4
Requires:       python2-configobj
Requires:       python2-gexiv2
Requires:       python2-pycurl
Requires:       python2-requests
Requires:       pyexiv2
Requires:       pywebkitgtk

%description
Variety changes the desktop wallpaper on a regular basis, 
using user-specified or automatically downloaded images.

Variety sits conveniently as an indicator in the panel 
and can be easily paused and resumed. The mouse wheel 
can be used to scroll wallpapers back and forth until 
you find the perfect one for your current mood.

Apart from displaying images from local folders, several 
different online sources can be used to fetch wallpapers 
according to user-specified criteria.

Variety can also automatically apply various fancy 
filters to the displayed images - charcoal painting, 
oil painting, heavy blurring, etc. - so that your 
desktop is always fresh and unique. 

%prep
%autosetup -p1

# remove debian part
rm -rf debian

# install %{name}.appdata.xml in appdata
sed -i -e 's|metainfo|appdata|' setup.py

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --root=%{buildroot}

#  non-executable-script /usr/share/variety/scripts/install_ssl_deps.sh 644 /bin/bash
chmod a+x %{buildroot}%{_datadir}/%{name}/scripts/install_ssl_deps.sh

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml

%files -f %{name}.lang
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/%{name}/
%{python2_sitelib}/jumble/
%{python2_sitelib}/%{name}-*-py*.egg-info
%{python2_sitelib}/%{name}/
%{python2_sitelib}/%{name}_lib/
%{_datadir}/icons/hicolor/22x22/apps/%{name}-indicator-dark.png
%{_datadir}/icons/hicolor/22x22/apps/%{name}-indicator.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Thu Apr 05 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.6.7-2
- Add bytecompile with Python 2 %%global __python %%{__python2}

* Wed Apr 04 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.6.7-1
- Update to 0.6.6
- Changed SOURCE link to github
- Fix python requires for f28

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.6-2
- Remove obsolete scriptlets

* Tue Sep 19 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.6.6-1
- Update to 0.6.6

* Wed Aug 23 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.6.5-1
- Update to 0.6.5
- Cleanup spec file
- Dropped variety-0.6.4-fix_webkit_version.patch
- Dropped BR webkitgtk-devel
- Dropped RR webkitgtk4

* Mon Aug 21 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.6.4-4
- Add variety-0.6.4-fix_webkit_version.patch
- Correct BR webkitgtk3 becomes webkitgtk4 
- Add RR pywebkitgtk

* Sat Aug 19 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.6.4-3
- Add RR libappindicator-gtk3
- Correct RR ImageMagick it's case sensitive
- Add RR webkitgtk3

* Fri Aug 18 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.6.4-2
- Add RR python-lxml
- Add RR python-pillow
- Add RR pycairo
- Add RR dbus-python
- Add RR python-appindicator
- Add RR python-beautifulsoup4
- Add RR python-configobj
- Add RR python2-gexiv2
- Add RR python-pycurl
- Add RR python2-requests
- Add RR pyexiv2
- Add RR imagemagick
- Add RR hicolor-icon-theme
- Add BR libappstream-glib
- Add appdata.xml file

* Tue Jul 18 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.6.4-1
- initial build
